org.apache.http.auth.params

## Class AuthParams

- java.lang.Object
- - org.apache.http.auth.params.AuthParams

Deprecated.
(4.3) use `RequestConfig` and constructor parameters of `AuthSchemeProvider`s.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public final class AuthParams
    extends Object

An adaptor for manipulating HTTP authentication parameters in `HttpParams`.

Since:
  4.0

### Method Summary

Methods
`static String` `getCredentialCharset(org.apache.http.params.HttpParams params)` Deprecated. Obtains the charset for encoding `Credentials`.If not configured, `HTTP.DEFAULT_PROTOCOL_CHARSET`is used instead.
`static void` `setCredentialCharset(org.apache.http.params.HttpParams params, String charset)` Deprecated. Sets the charset to be used when encoding `Credentials`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCredentialCharset

    public static String getCredentialCharset(org.apache.http.params.HttpParams params)

Deprecated.
Obtains the charset for encoding `Credentials`.If not configured, `HTTP.DEFAULT_PROTOCOL_CHARSET`is used instead.

Returns:
  The charset

#### setCredentialCharset

    public static void setCredentialCharset(org.apache.http.params.HttpParams params,
                            String charset)

Deprecated.
Sets the charset to be used when encoding `Credentials`.

Parameters:
  `charset` - The charset